### Db::set_re_pad

`

###

    #include <db_cxx.h>

    int
    Db::set_re_pad(int re_pad);

    int
    Db::get_re_pad(int *re_padp);

### Description: Db::set_re_pad

Set the padding character for short, fixed-length records for the Queue and Recno access methods.

If no pad character is specified, <space> characters (that is, ASCII 0x20) are used for padding.

The Db::set_re_pad method configures a database, not only operations performed using the specified Db handle.

The Db::set_re_pad method may not be called after the Db::open method is called. If the database already exists when Db::open is called, the information specified to Db::set_re_pad will be ignored.

The Db::set_re_pad method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

re_pad
  The re_pad parameter is the pad character for fixed-length records for the Queue and Recno access methods.

### Errors

The Db::set_re_pad method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  If the method was called after Db::open was called; or if an invalid flag value or parameter was specified.

### Description: Db::get_re_pad

The Db::get_re_pad method returns the pad character.

The Db::get_re_pad method may be called at any time during the life of the application.

The Db::get_re_pad method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

re_padp
  The Db::get_re_pad method returns the pad character in re_padp.

### Class

Db

### See Also

Databases and Related Methods`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.